﻿/*GridViewCSS White Chrome Style*/
.GridViewStyle
{
    table-layout: auto;
    border-collapse: collapse;
    border:#d0d0d0 1px solid;
}

.GridViewStyle caption
{
	padding: 5px;
	background-color: #f0f0f0;
	color: White;
	font-weight: bold;
	border-top: solid 1px #d0d0d0;
	border-left: solid 1px #d0d0d0;
	border-right: solid 1px #d0d0d0;
}

/*Header and Pager styles*/
.HeaderStyle
{
	/*background-color: #d4d4d4;*/
	background-color: #f0f0f0;
	border-bottom: solid 1px #d0d0d0;
}

.FooterStyle
{
	background-color: #f0f0f0;
	border-top: solid 1px #d0d0d0;
}

.PagerStyle /*Common Styles*/
{
    /*background-image: url(Images/HeaderWhiteChrome.jpg);
    background-position:center;
    background-repeat:repeat-x;
	*/
    background-color:#fff;
	border-bottom:solid 1px #d0d0d0;
}

.HeaderStyle th
{
    padding: 5px 10px 5px 10px;
    color: #333;
}

.HeaderStyle th a
{
	font-weight: bold;
}

.HeaderStyle a
{
    text-decoration:none;
    color:#333;
    display:block;
    text-align:left;
    font-weight:normal;
}

.PagerStyle table
{
    text-align:center;
    margin:auto;
}

.PagerStyle table td
{
    border:0px;
}

.PagerStyle td
{
    border-top: #d0d0d0 1px solid;
    padding: 5px;
}

.PagerStyle td a
{
    color:#333;
    text-decoration:none;
    padding:2px 10px 2px 10px;
}

.PagerStyle span
{
    font-weight:bold;
    color:#333;
    text-decoration:none;
    padding:2px 10px 2px 10px;
}

/*RowStyles*/
.RowStyle > td, .AltRowStyle > td, .AltRowStyle2 > td, .SelectedRowStyle > td, .EditRowStyle > td, .HilightRowStyle > td /*Common Styles*/
{
	padding: 3px 5px 3px 5px;
    border-right: solid 1px #d0d0d0;
}
tr.RowStyle
{
    background-color:#fff;
}
tr.AltRowStyle
{
    background-color: #E4E4E4;
}
tr.AltRowStyle2
{
    background-color: #F0F0F0;
}

tr.SelectedRowStyle
{
    background-color:#FF9;
}

tr.HilightRowStyle
{
	background-color: #66CCFF;
}

.EmptyRowStyle td
{
	/*padding: 20px;*/
	text-align: center;
}

/*
.GridViewStyle tr:hover
{
	background-color: #B0E6FF;
}
*/

.FooterStyle > td
{
	padding: 3px 5px 3px 5px;
}

.gridview-nolines {
    border-collapse: collapse; /* 테두리 사이 간격 제거 */
    border: none;
}

    .gridview-nolines th,
    .gridview-nolines td {
        border: none; /* 개별 셀의 테두리 제거 */
        padding: 2px 4px; /* 수직 여백을 충분히 주어 가독성 확보 */
    }

    .gridview-nolines th {
        color: var(--color-label);
        font-weight: bold;
    }

        /* 첫 번째 th와 td의 왼쪽 패딩 제거 */
        .gridview-nolines th:first-child,
        .gridview-nolines td:first-child {
            padding-left: 0;
        }

        /* 마지막 th와 td의 오른쪽 패딩 제거 */
        .gridview-nolines th:last-child,
        .gridview-nolines td:last-child {
            padding-right: 0;
        }